ResourceControlController (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.control.ResourceControlController class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.control
Class ResourceControlController

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.actions.BaseAction
              org.apache.struts.actions.DispatchAction
                  org.hyperic.hq.ui.action.BaseDispatchAction
                      org.hyperic.hq.ui.action.resource.ResourceController
                          org.hyperic.hq.ui.action.resource.common.control.ResourceControlController

Direct Known Subclasses:
  GroupControllerAction, PlatformControllerAction, ServerControllerAction, ServiceControllerAction

    public abstract class ResourceControlController

extends ResourceController

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, methods, types`

Fields inherited from class org.apache.struts.actions.BaseAction
`messages`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ResourceControlController()`

Method Summary
`protected void` | `checkControlEnabled(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Checks to see if control is enabled for this resource.
`org.apache.struts.action.ActionForward` | `controlStatusHistory(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Portal portal)`
`org.apache.struts.action.ActionForward` | `controlStatusHistoryDetail(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Portal portal)`
`org.apache.struts.action.ActionForward` | `currentControlStatus(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Portal portal)`
`org.apache.struts.action.ActionForward` | `editScheduledControlAction(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Portal portal)`
`protected java.util.Properties` | `getKeyMethodMap()` Provides the mapping from resource key to method name
`org.apache.struts.action.ActionForward` | `newScheduledControlAction(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Portal portal)`

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceController
`fetchReturnPathParams, setNavMapLocation, setResource, setResource, setResource, setReturnPath, setReturnPath`

Methods inherited from class org.hyperic.hq.ui.action.BaseDispatchAction
`execute`

Methods inherited from class org.apache.struts.actions.DispatchAction
`cancelled, dispatchMethod, getMethod, getMethodName, getParameter, unspecified`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### ResourceControlController

    public ResourceControlController()

Method Detail

### getKeyMethodMap

    protected java.util.Properties getKeyMethodMap()

  Description copied from class: `BaseDispatchAction`
  Provides the mapping from resource key to method name

  Overrides:
    `getKeyMethodMap` in class `BaseDispatchAction`
  Returns:
    Resource key / method name map

### checkControlEnabled

    protected void checkControlEnabled(org.apache.struts.action.ActionMapping mapping,
                                       org.apache.struts.action.ActionForm form,
                                       javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response)

  Checks to see if control is enabled for this resource. Sets Constants.CONTROL_ENABLED_ATTR in request scope.

### currentControlStatus

    public org.apache.struts.action.ActionForward currentControlStatus(org.apache.struts.action.ActionMapping mapping,
                                                                       org.apache.struts.action.ActionForm form,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response,
                                                                       Portal portal)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### controlStatusHistory

    public org.apache.struts.action.ActionForward controlStatusHistory(org.apache.struts.action.ActionMapping mapping,
                                                                       org.apache.struts.action.ActionForm form,
                                                                       javax.servlet.http.HttpServletRequest request,
                                                                       javax.servlet.http.HttpServletResponse response,
                                                                       Portal portal)
                                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### controlStatusHistoryDetail

    public org.apache.struts.action.ActionForward controlStatusHistoryDetail(org.apache.struts.action.ActionMapping mapping,
                                                                             org.apache.struts.action.ActionForm form,
                                                                             javax.servlet.http.HttpServletRequest request,
                                                                             javax.servlet.http.HttpServletResponse response,
                                                                             Portal portal)
                                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### newScheduledControlAction

    public org.apache.struts.action.ActionForward newScheduledControlAction(org.apache.struts.action.ActionMapping mapping,
                                                                            org.apache.struts.action.ActionForm form,
                                                                            javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response,
                                                                            Portal portal)
                                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### editScheduledControlAction

    public org.apache.struts.action.ActionForward editScheduledControlAction(org.apache.struts.action.ActionMapping mapping,
                                                                             org.apache.struts.action.ActionForm form,
                                                                             javax.servlet.http.HttpServletRequest request,
                                                                             javax.servlet.http.HttpServletResponse response,
                                                                             Portal portal)
                                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.